## gsequencer 6.13.5

=== debian/changelog ===
gsequencer (6.13.5-1ubuntu1) oracular; urgency=medium

  * Fix autopkgtests following dpkg changes (LP: #2071468)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Jun 2024 08:36:20 -0400

gsequencer (6.13.5-1) unstable; urgency=medium

  * New upstream version 6.13.5

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 20 May 2024 06:49:25 +0200

gsequencer (6.12.1-1) unstable; urgency=medium

  * New upstream version 6.12.1
  * updated libags6t64.symbols because new symbols available

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 10 May 2024 20:54:57 +0200

gsequencer (6.10.1-1) unstable; urgency=medium

  * New upstream version 6.10.1
  * Update symbols files

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 03 May 2024 13:01:51 +0200

=== debian/control ===
Source: gsequencer
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-sequence-gir,
 docbook-xml,
 docbook-xsl,
 dssi-dev,
 fop,
 gettext,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gtk-doc-tools,
 ladspa-sdk,
 libasound2-dev [linux-any],
 libcairo2-dev,
 libcunit1-dev,
 libfftw3-dev,
 libgirepository1.0-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk-4-dev,
 libinstpatch-dev,
 libjack-jackd2-dev | libjack-dev,
 liboss4-salsa-dev [!linux-any],
 libpoppler-glib-dev,
 libpulse-dev,
 libsamplerate-dev,
 libsndfile1-dev,
 libsoup-3.0-dev,
 libx11-dev,
 libxml2-dev,
 libjson-glib-dev,
 lv2-dev,
 oss4-dev [kfreebsd-any],
 pkgconf,
 uuid-dev,
 xauth,
 xsltproc,
 xvfb,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://nongnu.org/gsequencer
Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gsequencer

Package: gsequencer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gsequencer-data (>= ${source:Upstream-Version}),
 gsequencer-data (<= ${source:Upstream-Version}+),
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
Suggests:
 hydrogen,
 hydrogen-drumkits,
 fluid-soundfont-gm,
 fluid-soundfont-gs,
 timgm6mb-soundfont,
Description: Advanced Gtk+ Sequencer audio processing engine
 Advanced GTK+ Sequencer is intended to be used for music composition.
 It features a piano roll, as well as a synth, matrix editor, drum
 machine, soundfont2 player, mixer and an output panel. It’s designed to
 be highly configurable. You may add effects to its effect chain; and
 add or remove audio channels/pads. You may set up a fully functional
 network of engines, thus there is a link editor for linking audio lines.

Package: gsequencer-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: gsequencer
Description: Documentation for Advanced Gtk+ Sequencer
 Advanced GTK+ Sequencer is intended to be used for music composition.
 .
 This package contains the user manual that explains the GUI in html format of
 Advanced Gtk+ Sequencer.

Package: gsequencer-data
Architecture: all
Multi-Arch: foreign
Enhances: gsequencer
Depends: ${misc:Depends}
Replaces: gsequencer (<< 3.7.23-2)
Breaks: gsequencer (<< 3.7.23-2)
Description: Data files for Advanced Gtk+ Sequencer
 Advanced GTK+ Sequencer is intended to be used for music composition.
 .
 This package contains architecture-independent supporting data files for use
 with GSequencer, such as l10n support files.

Package: libags6t64
Provides: ${t64:Provides}
Replaces: libags6
Breaks: libags6 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Advanced Gtk+ Sequencer core library
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.

Package: libags-audio6t64
Provides: ${t64:Provides}
Replaces: libags-audio6
Breaks: libags-audio6 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags6t64 (= ${binary:Version}),
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
Description: Advanced Gtk+ Sequencer audio processing library
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.

Package: libags-gui6t64
Provides: ${t64:Provides}
Replaces: libags-gui6
Breaks: libags-gui6 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libags6t64 (= ${binary:Version}),
Description: Advanced Gtk+ Sequencer widget library
 libags_gui is a widget library built upon Gtk+-4.0.
 It contains widgets like
  - LED
  - dial
  - indicator
  - cartesian
  - ruler

Package: libags-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-ags-6.0 (= ${binary:Version}),
 libags6t64 (= ${binary:Version}),
Suggests: libags-doc
Description: Advanced Gtk+ Sequencer core library (Development files)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-agsaudio-6.0 (= ${binary:Version}),
 libags-dev,
 libags-audio6t64 (= ${binary:Version}),
Suggests: libags-audio-doc
Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-agsgui-6.0 (= ${binary:Version}),
 libags-dev,
 libags-gui6t64 (= ${binary:Version}),
Suggests: libags-gui-doc
Description: Advanced Gtk+ Sequencer widget library (Development files)
 libags_gui is a widget library built upon Gtk+-4.0.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer UI widget library.

Package: gir1.2-ags-6.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced Gtk+ Sequencer core library -- gir bindings
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: gir1.2-agsaudio-6.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced Gtk+ Sequencer audio processing engine library -- gir bindings
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: gir1.2-agsgui-6.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Advanced Gtk+ Sequencer widget library -- gir bindings
 libags_gui is a widget library built upon Gtk+-4.0.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libags-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-dev
Description: Advanced Gtk+ Sequencer core library (API documentation)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-audio-dev
Description: Advanced Gtk+ Sequencer audio processing engine (API documentation)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends: libags-gui-dev
Description: Advanced Gtk+ Sequencer widget library (API documentation)
 libags_gui is a widget library built upon Gtk+-4.0.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer UI widget library.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  archconfflags += --enable-oss
else
  archconfflags += --disable-oss
endif

archconfflags += --disable-public-libgsequencer --enable-introspection --enable-libinstpatch --with-poppler --with-gtk-unix-print --enable-upstream-gtk-doc --enable-gtk-doc --enable-gtk-doc-html

# provide some system dependent configuration as a C macro
CPPFLAGS += -DAGS_CSS_FILENAME=\"/usr/share/gsequencer/styles/ags.css\"
CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/gsequencer-800x450.png\"
CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"
CPPFLAGS += -DAGS_ONLINE_HELP_A4_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual-a4.pdf\"
CPPFLAGS += -DAGS_ONLINE_HELP_LETTER_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual-letter.pdf\"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(archconfflags)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp html
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp fix-local-html
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp pdf

override_dh_auto_test:
	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test

override_dh_auto_install:
	dh_auto_install --no-parallel
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-pdf
	find $$(pwd)/debian/tmp/usr/share -type f \
		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
		-delete
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-doc/api/libags
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-audio-doc/api/libags-audio
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-gui-doc/api/libags-gui
	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete

override_dh_compress:
	dh_compress -Xuser-manual-a4.pdf -Xuser-manual-letter.pdf -A

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgsequencer -- -v$(UPSTREAM_VERSION)

override_dh_clean:
	find docs/ -type f -name "*.stamp" -delete
	find docs/ -type f \( \
		   -name "*-decl-list.txt" \
		-o -name "*-decl.txt" \
		-o -name "*-undeclared.txt" \
		-o -name "*-undocumented.txt" \
		-o -name "*-unused.txt" \
		\) -delete
	find docs/ -type f \( \
		   -name "*.args" \
		-o -name "*.hierarchy" \
		-o -name "*.prerequisites" \
		-o -name "*.signals" \
		\) -delete
	find docs/ -type d -name ".libs" -exec rm -rf {} +
	find docs/ -type d -name "tmpl" -exec rm -rf {} +
	dh_clean

# for integration tests (see tests/ags-integration-unit-test)
pre-integration-test:
	dh_autoreconf
	dh_auto_configure -- --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-run-functional-tests --enable-run-system-tests $(archconfflags)

## gsequencer 6.16.16

=== debian/changelog ===
gsequencer (6.16.16-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.16.16
    + fixed FTBFS with gcc-14 by using Modern C (closes: #1075049)
  * updated libags-audio6t64.symbols because new symbols available
  * new upstream signing key

 -- Joel Kraehemann <jkraehemann@gmail.com>  Fri, 26 Jul 2024 07:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),

## gsequencer 6.16.23

=== debian/changelog ===
gsequencer (6.16.23-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.16.23

  [ Mattia Rizzolo ]
  * updated libags-audio6t64.symbols because new symbols available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Tue, 15 Oct 2024 11:15:14 +0200

gsequencer (6.16.22-1) unstable; urgency=medium

  * New upstream version 6.16.22
  * updated libags-audio6t64.symbols because new symbols available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 23 Sep 2024 07:22:20 +0200

## gsequencer 7.5.1

=== debian/changelog ===
gsequencer (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1
  * updated libags7t64.symbols because new functions available
  * updated libags-audio7t64.symbols because new functions available
  * updated libags-gui7t64.symbols because new functions available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 13 Jan 2025 13:24:47 +0100

gsequencer (7.2.4-1) unstable; urgency=medium

  * New upstream version 7.2.4
  * update libags-audio7t64.symbols because new symbols available
  * Upload to unstable

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 10 Nov 2024 05:05:30 +0100

gsequencer (7.1.9-1) experimental; urgency=medium

  * New upstream version 7.1.9
  * update program and library version to 7.0, including symbols, etc

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 04 Nov 2024 16:00:42 +0100

=== debian/control ===
--- 
+++ 
@@ -98,10 +98,10 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags6t64
+Package: libags7t64
 Provides: ${t64:Provides}
-Replaces: libags6
-Breaks: libags6 (<< ${source:Version})
+Replaces: libags7
+Breaks: libags7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -115,17 +115,17 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio6t64
+Package: libags-audio7t64
 Provides: ${t64:Provides}
-Replaces: libags-audio6
-Breaks: libags-audio6 (<< ${source:Version})
+Replaces: libags-audio7
+Breaks: libags-audio7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags6t64 (= ${binary:Version}),
+ libags7t64 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -134,17 +134,17 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui6t64
+Package: libags-gui7t64
 Provides: ${t64:Provides}
-Replaces: libags-gui6
-Breaks: libags-gui6 (<< ${source:Version})
+Replaces: libags-gui7
+Breaks: libags-gui7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags6t64 (= ${binary:Version}),
+ libags7t64 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
@@ -160,8 +160,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-6.0 (= ${binary:Version}),
- libags6t64 (= ${binary:Version}),
+ gir1.2-ags-7.0 (= ${binary:Version}),
+ libags7t64 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -179,9 +179,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-6.0 (= ${binary:Version}),
+ gir1.2-agsaudio-7.0 (= ${binary:Version}),
  libags-dev,
- libags-audio6t64 (= ${binary:Version}),
+ libags-audio7t64 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -197,9 +197,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-6.0 (= ${binary:Version}),
+ gir1.2-agsgui-7.0 (= ${binary:Version}),
  libags-dev,
- libags-gui6t64 (= ${binary:Version}),
+ libags-gui7t64 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-4.0.
@@ -207,7 +207,7 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-6.0
+Package: gir1.2-ags-7.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -224,7 +224,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-6.0
+Package: gir1.2-agsaudio-7.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -239,7 +239,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-6.0
+Package: gir1.2-agsgui-7.0
 Section: introspection
 Architecture: any
 Multi-Arch: same

## gsequencer 7.5.5

=== debian/changelog ===
gsequencer (7.5.5-1) unstable; urgency=medium

  [ Joel Kraehemann ]
  * New upstream version 7.5.5
  * updated symbols file dependencies after the t64 rename.  (closes: #1093447)

  [ Mattia Rizzolo ]
  * Drop all of the Provides/Breaks/Replaces related to the t64 transition,
    as they are unneeded since the latest SONAME bump.

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 19 Jan 2025 19:43:13 +0100

## gsequencer 7.6.10

=== debian/changelog ===
gsequencer (7.6.10-1) unstable; urgency=medium

  * New upstream version 7.6.10
    + Fix FTBFS with GCC-15 closes: #1096784
  * updated libags-audio7t64.symbols because new function available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 09 Mar 2025 11:35:02 +0100

## gsequencer 7.7.5

=== debian/changelog ===
gsequencer (7.7.5-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on removed oss4-dev
  * Add explicit build-dependenct on libcrypt-dev (Closes: #1106966)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 22:03:11 +0200

gsequencer (7.7.5-1) unstable; urgency=medium

  * New upstream version 7.7.5.
    + Fix documentation link to external third party.  closes: #1100850
  * updated libags-audio7t64.symbols because new functions available
  * updated upstream signing key

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 12 Apr 2025 20:56:26 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  ladspa-sdk,
  libasound2-dev [linux-any],
  libcairo2-dev,
+ libcrypt-dev,
  libcunit1-dev,
  libfftw3-dev,
  libgirepository1.0-dev,
@@ -36,7 +37,6 @@
  libxml2-dev,
  libjson-glib-dev,
  lv2-dev,
- oss4-dev [kfreebsd-any],
  pkgconf,
  uuid-dev,
  xauth,
@@ -99,9 +99,6 @@
  with GSequencer, such as l10n support files.
 
 Package: libags7t64
-Provides: ${t64:Provides}
-Replaces: libags7
-Breaks: libags7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -116,9 +113,6 @@
  behaviour.
 
 Package: libags-audio7t64
-Provides: ${t64:Provides}
-Replaces: libags-audio7
-Breaks: libags-audio7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -135,9 +129,6 @@
  plugin support. Audio data is processed multi-threaded.
 
 Package: libags-gui7t64
-Provides: ${t64:Provides}
-Replaces: libags-gui7
-Breaks: libags-gui7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp pdf
 
 override_dh_auto_test:
-	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test
+	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test -- CFLAGS="-fpermissive -Wno-error=incompatible-pointer-types -Wno-error=pedantic $(dpkg-buildflags --get CFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install --no-parallel

=== debian/tests/control ===
Tests: ags-integration-unit-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 parallel,
	 cmt,
	 swh-lv2,
	 fluid-soundfont-gm,
	 hydrogen-drumkits,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr

Tests: ags-integration-functional-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 parallel,
	 libxtst-dev,
	 cmt,
	 swh-lv2,
	 invada-studio-plugins-lv2,
	 calf-plugins,
	 fluid-soundfont-gm,
	 hydrogen-drumkits,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr, flaky

## gsequencer 8.2.9

=== meson_options.txt ===
# Plugins
# TODO: move all options here
# The options can be reconfigured inside build dir using
# ex. meson configure -Dalsa=false
option('alsa', type: 'boolean', value: false,
       description: 'Enable Linux alsa build')
option('w32api', type: 'boolean', value: false,
       description: 'Enable Windows build')
option('w32-exe-env', type: 'boolean', value: false,
       description: 'Enable Windows exe environment')
option('osxapi', type: 'boolean', value: false,
       description: 'Enable OSX build')
option('osx-dmg-env', type: 'boolean', value: false,
       description: 'Enable OS X DMG environment')
option('oss', type: 'boolean', value: false,
       description: 'Enable OSS')
option('core_audio', type: 'boolean', value: false,
       description: 'Enable core audio (OSX)')
option('jack', type: 'boolean', value: false,
       description: 'Enable jack')
option('pulse', type: 'boolean', value: false,
       description: 'Enable pulse')
option('wasapi', type: 'boolean', value: false,
       description: 'Enable wasapi (Windows)')
option('quartz', type: 'boolean', value: false,
       description: 'Enable quartz')
option('gstreamer', type: 'boolean', value: false,
       description: 'Enable gstreamer')
option('poppler', type: 'boolean', value: false,
       description: 'Enable poppler')
option('gtk_unix_print', type: 'boolean', value: false,
       description: 'Enable gtk unix print')

option('vst3', type: 'boolean', value: false,
       description: 'Enable VST3')

option('audio-unit-plugins', type: 'boolean', value: false,
       description: 'Enable AUDIO UNIT plugins')

option('gtk_doc', type: 'boolean', value: 'false',
       description : 'Build API reference and tools documentation')

option('introspection', type: 'feature', value: 'auto', yield: true,
       description : 'Build introspection data (requires gobject-introspection)')

option('man_pages', type: 'boolean', value: 'false',
       description : 'Build man pages for installed tools')

option('online_help', type: 'boolean', value: 'false',
       description : 'Build online help')

=== debian/changelog ===
gsequencer (8.2.9-1) experimental; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 8.2.9
    + Fixed FTBFS with make --shuffle=reverse (Closes: #1105395)
  * libags8 added lintian override exit-in-shared-library, because it is a
    framework function that you can override
  * updated libags8t64.symbols because new functions available
  * updated libags-audio8t64.symbols because new functions available
  * updated libags-gui8t64.symbols because new functions available
  * made the gir dependencies Multi-Arch safe (Closes: #1118833)

  [ Mattia Rizzolo ]
  * drop the obsolete build-dependency  oss4-dev [kfreebsd-any]

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 13 Jan 2026 09:25:53 +0100

gsequencer (8.1.5-1) experimental; urgency=medium

  * New upstream version 8.1.5
  * Rename library package names due to new major release

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 28 Aug 2025 13:41:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,15 @@
  dssi-dev,
  fop,
  gettext,
+ gir1.2-gio-2.0-dev,
+ gir1.2-gobject-2.0-dev,
+ gir1.2-gudev-1.0-dev,
+ gir1.2-gtk-4.0-dev,
+ gir1.2-soup-3.0-dev,
+ gir1.2-gst-1.0-dev,
+ gir1.2-gstbase-1.0-dev,
+ gir1.2-libxml2-2.0-dev,
+ gobject-introspection (>= 1.80),
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
@@ -21,13 +30,11 @@
  libcrypt-dev,
  libcunit1-dev,
  libfftw3-dev,
- libgirepository1.0-dev,
  libgstreamer1.0-dev,
  libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev,
  libinstpatch-dev,
  libjack-jackd2-dev | libjack-dev,
- liboss4-salsa-dev [!linux-any],
  libpoppler-glib-dev,
  libpulse-dev,
  libsamplerate-dev,
@@ -98,7 +105,7 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags7t64
+Package: libags8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -112,14 +119,14 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio7t64
+Package: libags-audio8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags7t64 (= ${binary:Version}),
+ libags8 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -128,14 +135,14 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui7t64
+Package: libags-gui8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags7t64 (= ${binary:Version}),
+ libags8 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
@@ -151,8 +158,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-7.0 (= ${binary:Version}),
- libags7t64 (= ${binary:Version}),
+ ${gir:Depends},
+ libags8 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -170,9 +178,10 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-7.0 (= ${binary:Version}),
+ ${gir:Depends},
  libags-dev,
- libags-audio7t64 (= ${binary:Version}),
+ libags-audio8 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -188,9 +197,10 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-7.0 (= ${binary:Version}),
+ ${gir:Depends},
  libags-dev,
- libags-gui7t64 (= ${binary:Version}),
+ libags-gui8 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-4.0.
@@ -198,13 +208,14 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-7.0
+Package: gir1.2-ags-8.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+Provides: ${gir:Provides}
 Description: Advanced Gtk+ Sequencer core library -- gir bindings
  libags is a general purpose application context library built upon GObject
  providing persistence and configuration. It allows you to organize threads in
@@ -215,13 +226,14 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-7.0
+Package: gir1.2-agsaudio-8.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+Provides: ${gir:Provides}
 Description: Advanced Gtk+ Sequencer audio processing engine library -- gir bindings
  libags_audio is a tree based audio processing library built upon GObject and
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
@@ -230,13 +242,14 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-7.0
+Package: gir1.2-agsgui-8.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+Provides: ${gir:Provides}
 Description: Advanced Gtk+ Sequencer widget library -- gir bindings
  libags_gui is a widget library built upon Gtk+-4.0.
  .

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 CPPFLAGS += -DAGS_ONLINE_HELP_LETTER_PDF_FILENAME=\"/usr/share/doc/gsequencer-doc/pdf/user-manual-letter.pdf\"
 
 %:
-	dh $@
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(archconfflags)
